Update newsletter list subscription by subscription ID Beta OAuth Scope: newsletter_lists:write

<Note title="Currently in beta" icon="b"> Newsletter Lists is currently in beta, the API is subject to change. </Note> Update a newsletter list subscription by subscription ID. An alternative to the update endpoint when you don't have the newsletter list subscription ID. Accepts either a subscription_id or email to identify the subscription. Currently supports unsubscribing a subscription from a newsletter list.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
newsletterListIdstringRequiredformat: "^(nl_list_[0-9a-fA-F\-]+)$"
The prefixed ID of the newsletter list object
subscriptionIdstringRequiredformat: "^(sub_[0-9a-fA-F\-]+)$"
The prefixed ID of the subscription

Request

This endpoint expects an object.
unsubscribebooleanOptional
Set to true to unsubscribe the subscription from this newsletter list.

Response

OK
dataobject

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error